
From: Herbert Xu <herbert@gondor.apana.org.au>

Here's the patch that removes the memset calls from both pmdisk and swsusp.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/pmdisk.c |    1 -
 25-akpm/kernel/power/swsusp.c |    1 -
 2 files changed, 2 deletions(-)

diff -puN kernel/power/pmdisk.c~swsusp-remove-memsets kernel/power/pmdisk.c
--- 25/kernel/power/pmdisk.c~swsusp-remove-memsets	Fri Jun 11 14:40:07 2004
+++ 25-akpm/kernel/power/pmdisk.c	Fri Jun 11 14:40:07 2004
@@ -806,7 +806,6 @@ static int __init relocate_pagedir(void)
 
 	err = -ENOMEM;
 	while ((m = (void *) __get_free_pages(GFP_ATOMIC, pagedir_order))) {
-		memset(m, 0, PAGE_SIZE);
 		if (!does_collide_order(old_pagedir, (unsigned long)m,
 					pagedir_order)) {
 			pm_pagedir_nosave = new_pagedir = m;
diff -puN kernel/power/swsusp.c~swsusp-remove-memsets kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~swsusp-remove-memsets	Fri Jun 11 14:40:07 2004
+++ 25-akpm/kernel/power/swsusp.c	Fri Jun 11 14:40:07 2004
@@ -936,7 +936,6 @@ static int relocate_pagedir(void)
 	}
 
 	while ((m = (void *) __get_free_pages(GFP_ATOMIC, pagedir_order))) {
-		memset(m, 0, PAGE_SIZE);
 		if (!does_collide_order(old_pagedir, (unsigned long)m, pagedir_order))
 			break;
 		eaten_memory = m;
_
